import request from '@/utils/request'
import { upcloud_base_wh_inbound } from '@/config/serviceSettings'
const baseUrl = '/api/upcloud-base-wh-dev-mysql-eistest'
// export function getContainerLocationByContainerNoAndPalletNo(params) {
//   return request({
//     // url: 'mapi/eis/containerMonitoring',
//     url: baseUrl + '/master/containerLocation/get-containerLocation-containerNoAndPalletNo',
//     method: 'get',
//     params: params
//     // params: params
//   })
// }
export function bizFileDown(parameter) {
    return request({
      method: 'get',
      url: "/api/service-filemanagement/file/download",
      contentType:"application/octet-stream",
      responseType: 'blob',
      params: parameter,
    })
  }

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisWhArea/save-storeArea',
    method: 'post',
    data: params
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: upcloud_base_wh_inbound + '/rcvLinesPic/v1.0/addAccompanyOrder',
    method: 'post',
    data: params
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: upcloud_base_wh_inbound + '/rcvLinesPic/v1.0/delAccompanyOrder	',
    method: 'post',
    data: params
    // params: params
  })
}
